<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
	<c:if test="${showShipToThisAddress}">
		<%-- Address Book --%>
		<div class="radio">
			<label for="addressBookCheckoutNewBillingContinueRadio"><bean:message key="addressBook.billToThisAddress" bundle="/customer"/></label>
			<input type="radio" id="addressBookCheckoutNewBillingContinueRadio" name="customerBillingAddressID" value="" />
		</div>
	</c:if>

	<logic:match name="settings" property="value(billingPrompt)" value="firstName">
	<div class="form-group">
		<label for="billingFirstName" class="control-label col-sm-4 <logic:match name="settings" property="value(billingRequired)" value="firstName"> requiredLabel</logic:match>">
		<bean:message key="orderForm.billingFirstName" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="text" id="billingFirstName" class="textbox form-control input-sm" name="billingFirstName" value="${fn:escapeXml(addressForm.billingFirstName)}"
			<logic:match name="settings" property="value(billingRequired)" value="firstName">required</logic:match> autocomplete="given-name">
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="lastName">
	<div class="form-group">
		<label for="billingLastName" class="control-label col-sm-4 <logic:match name="settings" property="value(billingRequired)" value="lastName"> requiredLabel</logic:match>">
		<bean:message key="orderForm.billingLastName" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="text" id="billingLastName" class="textbox form-control input-sm" name="billingLastName" value="${fn:escapeXml(addressForm.billingLastName)}"
			<logic:match name="settings" property="value(billingRequired)" value="lastName">required</logic:match> autocomplete="family-name">
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="organization">
	<div class="form-group">
		<label for="billingOrganization" class="control-label col-sm-4 <logic:match name="settings" property="value(billingRequired)" value="organization"> requiredLabel</logic:match>">
		<bean:message key="orderForm.billingOrganization" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="text" id="billingOrganization" class="textbox form-control input-sm" name="billingOrganization" value="${fn:escapeXml(addressForm.billingOrganization)}"
			<logic:match name="settings" property="value(billingRequired)" value="organization">required</logic:match> autocomplete="organization">
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="address1">
	<div class="form-group">
		<label for="billingAddress1" class="control-label col-sm-4 <logic:match name="settings" property="value(billingRequired)" value="address1"> requiredLabel</logic:match>">
		<bean:message key="orderForm.billingAddress1" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="text" id="billingAddress1" class="textbox form-control input-sm" name="billingAddress1" value="${fn:escapeXml(addressForm.billingAddress1)}"
			<logic:match name="settings" property="value(billingRequired)" value="address1">required</logic:match> autocomplete="address-line1">
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="address2">
	<div class="form-group">
		<label for="billingAddress2" class="control-label col-sm-4 <logic:match name="settings" property="value(billingRequired)" value="address2"> requiredLabel</logic:match>">
			<bean:message key="orderForm.billingAddress2" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="text" id="billingAddress2" class="textbox form-control input-sm" name="billingAddress2" value="${fn:escapeXml(addressForm.billingAddress2)}"
			<logic:match name="settings" property="value(billingRequired)" value="address2">required</logic:match> autocomplete="address-line2">
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="city">
	<div class="form-group">
		<label for="billingCity" class="control-label col-sm-4 <logic:match name="settings" property="value(billingRequired)" value="city"> requiredLabel</logic:match>">
			<bean:message key="orderForm.billingCity" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="text" id="billingCity" class="textbox form-control input-sm" name="billingCity" value="${fn:escapeXml(addressForm.billingCity)}"
			<logic:match name="settings" property="value(billingRequired)" value="city">required</logic:match> autocomplete="address-level2">
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="state">
	<div class="form-group">
		<label for="billingState" class="control-label col-sm-4 <logic:match name="settings" property="value(billingRequired)" value="state"> requiredLabel</logic:match>">
		<bean:message key="orderForm.billingState" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<select id="billingState" name="billingState" class="selectboxWide form-control input-sm" autocomplete="address-level1">
				<option value=""><bean:message key="orderForm.pleaseSelect" bundle="/order"/></option>
				<option value="">-------------</option>
				<c:forEach items="${states}" var="state">
					<option value="${state.code}" <c:if test="${addressForm.billingState eq state.code}">selected="selected"</c:if>><c:out value="${state.name}"/></option>
				</c:forEach>
			</select>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="other">
	<div class="form-group">
		<label for="billingOther" class="control-label col-sm-4 <logic:match name="settings" property="value(billingRequired)" value="other"> required</logic:match>">
			<bean:message key="orderForm.billingOther" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="text" id="billingOther" class="textbox form-control input-sm" name="billingOther" value="${fn:escapeXml(addressForm.billingOther)}"
			<logic:match name="settings" property="value(billingRequired)" value="other">required</logic:match>>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="postalCode">
	<div class="form-group">
		<label for="billingPostalCode" class="control-label col-sm-4 <logic:match name="settings" property="value(billingRequired)" value="postalCode"> requiredLabel</logic:match>">
			<bean:message key="orderForm.billingPostalCode" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="text" id="billingPostalCode" class="textbox form-control input-sm" name="billingPostalCode" value="${fn:escapeXml(addressForm.billingPostalCode)}"
			<logic:match name="settings" property="value(billingRequired)" value="postalCode">required</logic:match> autocomplete="postal-code">
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="country">
	<div class="form-group">
		<label for="billingCountry" class="control-label col-sm-4 <logic:match name="settings" property="value(billingRequired)" value="country"> requiredLabel</logic:match>">
		<bean:message key="orderForm.billingCountry" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<select id="billingCountry" name="billingCountry" class="selectboxWide form-control input-sm" autocomplete="country">
				<logic:notMatch name="settings" property="value(billingRequired)" value="country">
					<option value=""><bean:message key="orderForm.pleaseSelect" bundle="/order"/></option>
					<option value="">-------------</option>
				</logic:notMatch>
				<c:forEach items="${countries}" var="country">
					<option value="${country.code}" <c:if test="${addressForm.billingCountry eq country.code}">selected="selected"</c:if>><c:out value="${country.name}"/></option>
				</c:forEach>
			</select>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="phone1">
	<div class="form-group">
		<label for="billingPhone1" class="control-label col-sm-4 <logic:match name="settings" property="value(billingRequired)" value="phone1"> requiredLabel</logic:match>">
			<bean:message key="orderForm.billingPhone1" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="tel" id="billingPhone1" class="textbox form-control input-sm" name="billingPhone1" value="${fn:escapeXml(addressForm.billingPhone1)}"
			<logic:match name="settings" property="value(billingRequired)" value="phone1">required</logic:match> autocomplete="tel">
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="phone2">
	<div class="form-group">
		<label for="billingPhone2" class="control-label col-sm-4 <logic:match name="settings" property="value(billingRequired)" value="phone2"> requiredLabel</logic:match>">
			<bean:message key="orderForm.billingPhone2" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="tel" id="billingPhone2" class="textbox form-control input-sm" name="billingPhone2" value="${fn:escapeXml(addressForm.billingPhone2)}"
			<logic:match name="settings" property="value(billingRequired)" value="phone2">required</logic:match> autocomplete="tel">
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="email1">
	<div class="form-group">
		<label for="billingEmail1" class="control-label col-sm-4 <logic:match name="settings" property="value(billingRequired)" value="email1"> requiredLabel</logic:match>">
			<bean:message key="orderForm.billingEmail1" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="email" id="billingEmail1" class="textbox form-control input-sm" name="billingEmail1" value="${fn:escapeXml(addressForm.billingEmail1)}"
			<logic:match name="settings" property="value(billingRequired)" value="email1">required</logic:match> autocomplete="email">
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="email2">
	<div class="form-group">
		<label for="billingEmail2" class="control-label col-sm-4 <logic:match name="settings" property="value(billingRequired)" value="email2"> requiredLabel</logic:match>">
			<bean:message key="orderForm.billingEmail2" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="email" id="billingEmail2" class="textbox form-control input-sm" name="billingEmail2" value="${fn:escapeXml(addressForm.billingEmail2)}"
			<logic:match name="settings" property="value(billingRequired)" value="email2">required</logic:match> autocomplete="email">
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="extra1">
	<div class="form-group">
		<label for="billingExtra1" class="control-label col-sm-4 <logic:match name="settings" property="value(billingRequired)" value="extra1"> requiredLabel</logic:match>">
			<bean:message key="orderForm.billingExtra1" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="text" id="billingExtra1" class="textbox form-control input-sm" name="billingExtra1" value="${fn:escapeXml(addressForm.billingExtra1)}"
			<logic:match name="settings" property="value(billingRequired)" value="extra1">required</logic:match>>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="extra2">
	<div class="form-group">
		<label for="billingExtra2" class="control-label col-sm-4 <logic:match name="settings" property="value(billingRequired)" value="extra2"> requiredLabel</logic:match>">
			<bean:message key="orderForm.billingExtra2" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="text" id="billingExtra2" class="textbox form-control input-sm" name="billingExtra2" value="${fn:escapeXml(addressForm.billingExtra2)}"
			<logic:match name="settings" property="value(billingRequired)" value="extra2">required</logic:match>>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="extra3">
	<div class="form-group">
		<label for="billingExtra3" class="control-label col-sm-4 <logic:match name="settings" property="value(billingRequired)" value="extra3"> requiredLabel</logic:match>">
			<bean:message key="orderForm.billingExtra3" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="text" id="billingExtra3" class="textbox form-control input-sm" name="billingExtra3" value="${fn:escapeXml(addressForm.billingExtra3)}"
			<logic:match name="settings" property="value(billingRequired)" value="extra3">required</logic:match>>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="extra4">
	<div class="form-group">
		<label for="billingExtra4" class="control-label col-sm-4 <logic:match name="settings" property="value(billingRequired)" value="extra4"> requiredLabel</logic:match>">
			<bean:message key="orderForm.billingExtra4" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="text" id="billingExtra4" class="textbox form-control input-sm" name="billingExtra4" value="${fn:escapeXml(addressForm.billingExtra4)}"
			<logic:match name="settings" property="value(billingRequired)" value="extra4">required</logic:match>>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="extra5">
	<div class="form-group">
		<label for="billingExtra5" class="control-label col-sm-4 <logic:match name="settings" property="value(billingRequired)" value="extra5"> requiredLabel</logic:match>">
			<bean:message key="orderForm.billingExtra5" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="text" id="billingExtra5" class="textbox form-control input-sm" name="billingExtra5" value="${fn:escapeXml(addressForm.billingExtra5)}"
			<logic:match name="settings" property="value(billingRequired)" value="extra5">required</logic:match>>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="notes">
	<div class="form-group">
		<label for="billingNotes" class="control-label col-sm-4 <logic:match name="settings" property="value(billingRequired)" value="notes"> requiredLabel</logic:match>">
			<bean:message key="orderForm.billingNotes" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<textarea id="billingNotes" class="textbox form-control input-sm" name="billingNotes" value="${fn:escapeXml(addressForm.billingNotes)}"
			<logic:match name="settings" property="value(billingRequired)" value="notes">required</logic:match>></textarea>
		</div>
	</div>
	</logic:match>
<!-- End ${pageScope.sscCurrentPage} -->
