<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<%@ page import="java.util.Map,org.apache.commons.beanutils.PropertyUtils" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<div id="shippingOptions" class="panel panel-primary flush">
	<div class="panel-heading">
		<h3 class="panel-title"><bean:message key="checkoutShipping.shippingOptions" bundle="/order" /></h3>
	</div>
	<div class="panel-body">
	<c:choose>
		<c:when test="${empty shippingOptions}">
			<bean:message key="errors.noShippingOptions"/>
		</c:when>
		<c:otherwise>
			<logic:iterate name="shippingOptions" id="option" indexId="i">
			
				<%-- Make the first option the default if none was already selected. --%>
				<c:if test="${i == 0 and empty shippingForm.shippingOption}">
					<% PropertyUtils.setProperty(request.getAttribute("shippingForm"), "shippingOption", ((Map)option).get("processorClass").toString() + "|" + ((Map)option).get("code").toString());  %>
				</c:if>
				
				<%-- Display the radio button. --%>
				<% String optionValue = ((Map)option).get("processorClass").toString() + "|" + ((Map)option).get("code").toString(); %>
				<html:radio styleId="option${i}" styleClass="radiobtn" name="shippingForm" property="shippingOption" value="<%= optionValue %>" />&nbsp;
	
				<%-- Display the option name and price. --%>
				<label for="option${i}" class="plain">
					<c:if test="${option.processorName ne 'Basic' and !fn:startsWith(option.name, option.processorName)}"><c:out value="${option.processorName}" escapeXml="false"/>&nbsp;</c:if><c:out value="${option.name}" escapeXml="false"/>:&nbsp;
					${option.price}&nbsp;
				</label>
				
				<%-- Display any details including the delivery date, if available. --%>
				<c:if test="${!empty option.DeliveryDate}">(<bean:message key="checkoutAddresses.shippingDeliveryDate" bundle="/order"/>: ${option.DeliveryDate}<c:if test="${!empty option.MaxDeliveryDate}"> - <c:out value="${option.MaxDeliveryDate}"/></c:if>)</c:if>
				<c:if test="${!empty option.originalPriceDouble and option.originalPriceDouble ne option.priceDouble and !empty option.discounts}">
					<bean:message key="checkoutAddresses.shippingOriginalPrice" bundle="/order"/>: <del>${option.originalPrice}</del>
					<logic:iterate name="option" property="discounts" id="discount">
						- <c:out value="${discount.name}" escapeXml="false" />
					</logic:iterate>
				</c:if>
				<br/><br/>
			</logic:iterate>
		</c:otherwise>
	</c:choose>
	</div>
</div>
<!-- End ${pageScope.sscCurrentPage} -->
