package com.softslate.commerce.businessobjects.product;

import org.hibernate.envers.AuditTable;
import org.hibernate.envers.Audited;

import com.softslate.commerce.businessobjects.core.BusinessObject;
import com.softslate.commerce.businessobjects.customer.Customer;

/**
 * 
 * @author Tony Zakula
 */
@Audited
@AuditTable("AudProductReview")
public interface ProductReview extends BusinessObject {

	abstract String getAge();

	abstract String getCity();

	abstract String getCreated();

	abstract String getEmail();

	abstract String getFirstName();

	abstract String getImagePath();

	abstract String getIpAddress();

	abstract String getLastName();
	
	abstract String getNickname();

	abstract Product getProduct();

	abstract Integer getProductID();

	abstract Integer getProductReviewID();

	abstract Integer getRating();

	abstract String getReview();

	abstract String getState();

	abstract String getCountry();

	abstract Integer getStatus();

	abstract void setAge(String age);

	abstract void setCity(String city);

	abstract void setCreated(String created);

	abstract void setEmail(String email);

	abstract void setFirstName(String firstName);

	abstract void setImagePath(String imagePath);

	abstract void setIpAddress(String ipAddress);

	abstract void setLastName(String lastName);
	
	abstract void setNickname(String nickname);

	abstract void setProduct(Product product);

	abstract void setProductID(Integer productID);

	abstract void setProductReviewID(Integer productReviewID);

	abstract void setRating(Integer rating);

	abstract void setReview(String review);

	abstract void setState(String state);

	abstract void setStatus(Integer status);

	abstract void setCountry(String country);

	abstract void setCustomerID(Integer customerID);

	abstract Integer getCustomerID();

	abstract void setCustomer(Customer customer);

	abstract Customer getCustomer();

}
