<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<c:if test="${!empty orderAddEditForm}">
	<c:choose>
		<c:when test="${!empty order.completed}">
			<html:select name="orderAddEditForm" property="status">
				<c:if var="statusFound" test="${false}"/>
				<c:forTokens var="stat" varStatus="current" items="${settings.map.possibleOrderStatuses}" delims=","> 
					<% pageContext.setAttribute("stat", ((String) pageContext.getAttribute("stat")).trim()); %>
					<html:option value="${stat}"><c:out value="${stat}"/></html:option>
					<c:if test="${!statusFound and stat eq orderAddEditForm.status}">
						<c:if var="statusFound" test="${true}"/>
					</c:if>
				</c:forTokens>
				<c:if test="${!statusFound}">
					<html:option value="${orderAddEditForm.status}"><c:out value="${orderAddEditForm.status}"/></html:option>
				</c:if>
			</html:select><br/>
		</c:when>
		<c:otherwise>
			<html:hidden name="orderAddEditForm" property="status" />
		</c:otherwise>
	</c:choose>
	<input style="width: inherit" type="checkbox" name="copyBillingToDelivery" /> Copy to Delivery<br/>
	<html:text name="orderAddEditForm" property="firstName" styleClass="promptable" styleId="Billing First Name"/><br/>
	<html:text name="orderAddEditForm" property="lastName" styleClass="promptable" styleId="Billing Last Name"/><br/>
	<html:text name="orderAddEditForm" property="address1" styleClass="promptable" styleId="Billing Address 1"/><br/>
	<html:text name="orderAddEditForm" property="address2" styleClass="promptable" styleId="Billing Address 2"/><br/>
	<html:text name="orderAddEditForm" property="city" styleClass="promptable" styleId="Billing City"/><br/>
	<html:select name="orderAddEditForm" property="state">
		<option value="">Select</option>
		<option value="">-------------</option>
		<html:options collection="states" property="code" labelProperty="name"/>
	</html:select><br/>
	<html:text name="orderAddEditForm" property="postalCode" styleClass="promptable" styleId="Billing Postal Code"/><br/>
	<html:select name="orderAddEditForm" property="country">
		<option value="">Select</option>
		<option value="">-------------</option>
		<html:options collection="countries" property="code" labelProperty="name"/>
	</html:select><br/>
	<html:text name="orderAddEditForm" property="phone1" styleClass="promptable" styleId="Billing Phone"/><br/>
	<html:text name="orderAddEditForm" property="email1" styleClass="promptable" styleId="Billing Email"/><br/>
	<input class="button" type="submit" value="Update" id="editBillingButton"/>
</c:if>
