<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start categoryFieldColumns.jsp -->
<script language="JavaScript" type="text/javascript">
<!--
	function updateOnTreeField(checkbox, field, index) {
		if (checkbox.checked) {
			if (checkbox.form[field][index] != null) {
				checkbox.form[field][index].value='1';
			} else {
				checkbox.form[field].value='1';
			}
		} else {
			if (checkbox.form[field][index] != null) {
				checkbox.form[field][index].value='0';
			} else {
				checkbox.form[field].value='0';
			}
		}
		return;
	}
//-->
</script>
<c:if test="${!empty categories}">
	<bean:size id="categoriesSize" name="categories"/>
</c:if>
<bean:define id="displayFieldArray" name="mainForm" property="displayFields" type="java.lang.String[]" />
<bean:define id="fieldArray" name="mainForm" property="fields" type="java.lang.String[]" />
<% java.util.Collection displayFieldCollection = java.util.Arrays.asList(displayFieldArray); %>
<logic:iterate collection="<%= fieldArray %>" id="field" indexId="i" type="java.lang.String">
	<% if (displayFieldCollection.contains(field)) { %>
		<td class="dataCell <c:out value="${field}"/>">
			<c:choose>
				<c:when test="${field eq 'categoryID'}">
					<c:out value="${item[field]}" />
				</c:when>
				<c:when test="${mainForm.editMode eq 'true'}">
					<c:choose>
						<c:when test="${field eq 'isActive' or field eq 'isContentPage'}">
							<input type="hidden" name="<c:out value="${field}"/>" value="<c:out value="${item[field]}"/>"/>
							<input type="checkbox" name="dummy" <c:if test="${item[field] ne 'false'}">checked="checked"</c:if> onclick="updateCheckboxField(this, '<c:out value="${field}"/>', <c:out value="${j}"/>)"/>
						</c:when>
						<c:when test="${field eq 'categoryTreeID'}">
							<input type="hidden" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />"/>
							<input type="checkbox" name="dummy" <c:if test="${item[field] eq '1'}">checked="checked"</c:if> onclick="updateOnTreeField(this, '<%= field %>', <c:out value="${j}" />)"/>
						</c:when>
						<c:when test="${field eq 'parentCategory' and categoriesSize <= settings.map.maxAdminRecordsToDisplay}">
							<c:if test="${!empty item.parent}"><% ((com.softslate.commerce.businessobjects.product.Category)request.getAttribute("item")).setParentCategory(new Integer(((com.softslate.commerce.businessobjects.product.Category)request.getAttribute("item")).getParent().getCategoryID()));%></c:if>
							<c:if test="${empty item.parent}"><% ((com.softslate.commerce.businessobjects.product.Category)request.getAttribute("item")).setParentCategory(null);%></c:if>
							<html:select name="item" property="parentCategory">
								<logic:empty name="item" property="parentCategory">
									<option value="0" selected="selected">[No Parent]</option>
								</logic:empty>
								<logic:notEmpty name="item" property="parentCategory">
									<option value="0">[No Parent]</option>
								</logic:notEmpty>
								<html:options collection="categories" property="categoryID" labelProperty="name"/>
							</html:select>
						</c:when>
						<c:when test="${field eq 'description' or field eq 'header' or field eq 'footer'}">
							<textarea rows="2" name="<c:out value="${field}" />"><c:out value="${item[field]}" /></textarea>
						</c:when>
						<c:otherwise>
							<input type="text" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />"/>
						</c:otherwise>
					</c:choose>
				</c:when>
				<c:otherwise>
					<input type="hidden" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />" />
					<c:choose>
						<c:when test="${field eq 'isActive' or field eq 'isContentPage'}">
							<c:choose>
								<c:when test="${item[field] eq 'true'}">yes</c:when>
								<c:otherwise>no</c:otherwise>
							</c:choose>
						</c:when>
						<c:when test="${field eq 'categoryTreeID'}">
							<c:choose>
								<c:when test="${item[field] eq '1'}">
									yes
								</c:when>
								<c:otherwise>
									no
								</c:otherwise>
							</c:choose>
						</c:when>
						<c:when test="${field eq 'parentCategory'}">
							<c:choose>
								<c:when test="${empty item.parentCategory or item.parentCategory == 0}">
									&#151;
								</c:when>
								<c:otherwise>
									<c:out value="${item.parent.name}"/>
								</c:otherwise>
							</c:choose>
						</c:when>
						<c:otherwise>
							<c:out value="${item[field]}" />
						</c:otherwise>
					</c:choose>
				</c:otherwise>
			</c:choose>
		</td>
	<% } %>
</logic:iterate>
<!-- End categoryFieldColumns.jsp -->
