UPDATE sscSetting SET smallValue='3.5.1' WHERE code='dataObjectsVersion';

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('areTaxRatesPercentages','Are Tax Rates Percentages?','If set to yes, the values stored for the rate field in Basic Tax Rates should be in the form of a percentage like 8.00. If no, the values should be stored in the form of a decimal like 0.08.','TAXES','booleanValue',1,NULL,NULL,NULL);

UPDATE sscSetting SET description = 'When uploading a large product image or an additional product image, the size the small version of the image will be sized at. The aspect ratio of the image is maintained. This setting represents the maximum width or height, whichever is greater, of the resulting image. If this is set to 0, the uploaded image will be copied into the small image unchanged.' where code = 'smallImageSize';
UPDATE sscSetting SET description = 'When uploading a large product image or an additional product image, the size the medium version of the image will be sized at. The aspect ratio of the image is maintained. This setting represents the maximum width or height, whichever is greater, of the resulting image. If this is set to 0, the uploaded image will be copied into the medium image unchanged.' where code = 'mediumImageSize';
UPDATE sscSetting SET description = 'When uploading a large product image or an additional product image, the size the large version of the image will be sized at. The aspect ratio of the image is maintained. This setting represents the maximum width or height, whichever is greater, of the resulting image. If this is set to 0, the uploaded image will be copied into the large image unchanged.' where code = 'largeImageSize';
UPDATE sscSetting SET description = 'When uploading a large product image, should the system automatically resize it to the below large, medium, and small sizes? Resizing will only occur when the large image for a product is uploaded. If this setting is set to true and the small and medium images do not exist already, they will be automatically created when the large image is uploaded. (Note that when uploading Additional Images, small, medium, and large versions will always be generated according to the below sizes, even if this setting is set to no.)' where code = 'automaticallyResizeImages';

DELETE FROM sscSetting WHERE code = 'isShippingTaxable';
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('statesWhereShippingIsTaxable','States Where Shipping Is Taxable','List of US states or Canadian provinces where shipping charges should be taxed.','SHIPPING,TAXES','textValue',0,NULL,NULL,'AR,GA,KY,LA,MI,MN,MS,NJ,NM,NC,PA,SC,TX,WA,WI');
