package com.softslate.commerce.businessobjects.events;

import java.util.Map;

import com.softslate.commerce.businessobjects.core.BaseBusinessObject;
import com.softslate.commerce.businessobjects.core.BusinessProcessor;
import com.softslate.commerce.businessobjects.product.SKU;

public class ChangingSKUEventImpl extends BaseBusinessObject implements ChangingSKUEvent {

	private BusinessProcessor businessProcessor;
	private SKU sku;
	private Map incomingParameters;
	private Map results;

	public BusinessProcessor getBusinessProcessor() {
		return businessProcessor;
	}

	public void setBusinessProcessor(BusinessProcessor businessProcessor) {
		this.businessProcessor = businessProcessor;
	}

	public SKU getSKU() {
		return sku;
	}

	public void setSKU(SKU sku) {
		this.sku = sku;
	}

	public Map getIncomingParameters() {
		return incomingParameters;
	}

	public void setIncomingParameters(Map incomingParameters) {
		this.incomingParameters = incomingParameters;
	}

	public Map getResults() {
		return results;
	}

	public void setResults(Map results) {
		this.results = results;
	}

}