package com.softslate.commerce.daos.customer;

import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.daos.core.BaseAdminGatewayDAOHibernate;

/**
 * Generic DAO that runs miscellaneous queries related to wish lists.
 * 
 * @author Jason McWilliams
 * 
 */
public class CustomerWishListGatewayDAOHibernate extends BaseAdminGatewayDAOHibernate implements
		CustomerWishListGatewayDAO {

	static Log log = LogFactory.getLog(CustomerWishListGatewayDAOHibernate.class);

	public Map loadCustomerWishListsAndCount(Map parameters) throws Exception {
		return loadItemsAndCount(parameters);
	}

	public Map editDeleteCustomerWishLists(Map parameters, BusinessObjectFactory bof) throws Exception {
		return editDeleteItems(parameters, bof);
	}
}
