package com.softslate.commerce.daos.email;

import java.util.Collection;
import java.util.Map;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.businessobjects.email.Template;
import com.softslate.commerce.daos.core.DAOInterface;

public interface TemplateGatewayDAO extends DAOInterface {

	abstract Map loadTemplatesAndCount(Map parameters) throws Exception;

	abstract void editDeleteTemplates(Map parameters, BusinessObjectFactory bof) throws Exception;
	
	abstract Collection<Template> loadAllTemplates() throws Exception;

	abstract Template loadTemplateFromCode(String code) throws Exception;
}
