<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start customerAddressEditForm.jsp -->
<html:form action="/CustomerAddressEdit" method="post">
	<html:hidden name="customerAddressAddEditForm" property="customerAddressID" />
	<table class="addEditTable settingsTable">
		<ssc:insert attribute="formGuts" />
	</table>
	<logic:equal name="editPermission" value="true">
		<div class="adminAddEditButton">
			<input type="submit" class="button" name="editProductSubmit" value="<bean:message key="administrator.saveSettings" bundle="/administrator/administrator"/>" />
		</div>
	</logic:equal>
</html:form>
<logic:equal name="editPermission" value="true">
	<form name="customerAddressDeleteForm" class="adminDeleteButton" action="<c:out value="${settings.map.administratorURL}"/>/CustomerAddressDelete.do" method="post">
		<input type="hidden" name="customerID" value="<bean:write name="customerAddressAddEditForm" property="customerID" />" />
		<input type="hidden" name="customerAddressID" value="<bean:write name="customerAddressAddEditForm" property="customerAddressID" />" />
		<input type="hidden" name="address1" value="<bean:write name="customerAddressAddEditForm" property="address1" />" />
		<input type="submit" onclick="return confirm('<bean:message key="administrator.confirmDelete" bundle="/administrator/administrator"/>')" class="button" name="deleteProductSubmit"
			value="<bean:message key="administrator.delete" bundle="/administrator/administrator"/>" />
	</form>
</logic:equal>
<!-- End customerAddressEditForm.jsp -->
