<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start orderShippingRuleEditForm.jsp -->
<c:set var="isAddOrEdit" value="edit" scope="request" />
<div class="important addEditNotes">
	Adjusting the values on this screen will not cause the system to automatically recalculate the order's tax, shipping, or other totals.
	For tools that will do this, use the order management links on this order's <a href="<c:out value="${settings.map.administratorURL}"/>/OrderOverview.do?orderID=<c:out value="${order.orderID}"/>">Overview screen</a>.
</div>
<html:form action="/OrderShippingRuleEdit" method="post">
	<html:hidden name="orderShippingRuleAddEditForm" property="orderShippingRuleID" />
	<table class="addEditTable settingsTable">
		<tr>
			<td class="genericLabel">
				Order Shipping Rule ID:
			</td>
			<td>
				<bean:write name="orderShippingRuleAddEditForm" property="orderShippingRuleID" />
			</td>
		</tr>
		<ssc:insert attribute="formGuts" />
	</table>
	<logic:equal name="editPermission" value="true">
		<div class="adminAddEditButton">
			<input type="submit" class="button" name="editProductSubmit" value="<bean:message key="administrator.saveSettings" bundle="/administrator/administrator"/>" />
		</div>
	</logic:equal>
</html:form>
<logic:equal name="editPermission" value="true">
	<form name="orderShippingRuleDeleteForm" class="adminDeleteButton" action="<c:out value="${settings.map.administratorURL}"/>/OrderShippingRuleDelete.do" method="post">
		<input type="hidden" name="orderID" value="<bean:write name="order" property="orderID" />" />
		<input type="hidden" name="orderShippingRuleID" value="<bean:write name="orderShippingRuleAddEditForm" property="orderShippingRuleID" />" />
		<input type="hidden" name="code" value="<bean:write name="orderShippingRuleAddEditForm" property="code" />" />
		<input type="submit" onclick="return confirm('<bean:message key="administrator.confirmDelete" bundle="/administrator/administrator"/>')" class="button" name="deleteProductSubmit"
			value="<bean:message key="administrator.delete" bundle="/administrator/administrator"/>" />
	</form>
</logic:equal>
<!-- End orderShippingRuleEditForm.jsp -->
